Page MenuHomePhabricator

upstream creditnote_id fix
Closed, ResolvedPublic4 Estimate Story Points

Description

Civi core should have a setting to disable creditnote_id. There's a really dumb loop to look for the next available sequence number, and it's killing our performance on refunds and chargebacks.

We've got a local hack to disable it, but local hacks suck.

Event Timeline

Ejegg created this task.May 9 2018, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2018, 9:09 PM
Vvjjkkii renamed this task from upstream creditnote_id fix to q9caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from q9caaaaaaa to upstream creditnote_id fix.Jul 1 2018, 2:43 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Ejegg added a comment.Jan 22 2020, 2:56 PM

There's this: https://github.com/civicrm/civicrm-core/pull/15235 , in which we try to be all clever and actually guarantee a continuous sequence of numbers starting from wherever you start.

But maybe all we need is this: https://github.com/greenpeace-cee/at.greenpeace.creditnope to turn off the feature that we don't use.

.Nafees791 renamed this task from upstream creditnote_id fix to xxx.Jan 23 2020, 4:39 AM
.Nafees791 closed this task as Invalid.
.Nafees791 triaged this task as Medium priority.
.Nafees791 updated the task description. (Show Details)
.Nafees791 removed subscribers: Aklapper, Ejegg.
Ammarpad renamed this task from xxx to Upstream creditnote_id fix .Jan 23 2020, 5:34 AM
Ammarpad reopened this task as Open.
Ammarpad raised the priority of this task from Medium to Needs Triage.
Ammarpad updated the task description. (Show Details)Jan 23 2020, 5:39 AM
Aklapper renamed this task from Upstream creditnote_id fix to upstream creditnote_id fix.Jan 23 2020, 10:16 AM
Aklapper added subscribers: Aklapper, Ejegg.
Eileenmcnaughton closed this task as Resolved.Mar 2 2020, 10:07 PM

Done - we can now disable the module - will deploy with next update

Eileenmcnaughton set the point value for this task to 4.Mar 2 2020, 10:07 PM
Eileenmcnaughton set Final Story Points to 4.